Bug 609317 - RFE: package libeutil.so separately to avoid unnecessary dependency on Evolution
RFE: package libeutil.so separately to avoid unnecessary dependency on Evolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 19:37 EDT by Andre Costa
Modified: 2010-12-16 21:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 21:39:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Costa 2010-06-29 19:37:31 EDT
Description of problem:
tracker-search-tool (a 300K tool) currently depends on Evolution (a 37M MUA) exclusively because of libeutil.so.0 (a 330K lib).

Version-Release number of selected component (if applicable):
evolution-2.30.1-8

How reproducible:
Always

Steps to Reproduce:
1. su -c "yum install tracker-search-tool"
2. su -c "yum remove evolution"
3.
  
Actual results:
Loaded plugins: presto, refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package evolution.x86_64 0:2.30.1-8.fc13 set to be erased
--> Processing Dependency: libeutil.so.0()(64bit) for package: tracker-search-tool-0.8.4-1.fc13.x86_64
--> Running transaction check
---> Package tracker-search-tool.x86_64 0:0.8.4-1.fc13 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch        Version               Repository     Size
================================================================================
Removing:
 evolution                x86_64      2.30.1-8.fc13         @updates       37 M
Removing for dependencies:
 tracker-search-tool      x86_64      0.8.4-1.fc13          @fedora       300 k

Expected results:
evolution should be removed without side-effects

Additional info:
Comment 1 Matthew Barnes 2010-06-29 19:49:08 EDT
What exactly do you need from libeutil?  Perhaps it can be moved to libedataserver[ui].
Comment 2 Andre Costa 2010-06-29 20:16:41 EDT
Hi Matthew, thks for the quick response.

Unfortunatelly I can't help you with that, I'm not the maintainer of tracker-search-tool, I'm just a user who just realized this dependency... if there's anything I can do to help, please let me know.
Comment 3 Mark Morgan 2010-06-30 19:16:06 EDT
Even worse, some update pushed to Fedora 13 lately seems to have broken dependencies for this altogether.  Here's what I get when I try to update:


16:06 [~] kyo> sudo yum install tracker-search-tool.x86_64
[snip]
--> Running transaction check
---> Package tracker-search-tool.x86_64 0:0.8.4-1.fc13 set to be updated
--> Processing Dependency: libedataserver-1.2.so.11()(64bit) for package: tracker-search-tool-0.8.4-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: tracker-search-tool-0.8.4-1.fc13.x86_64 (fedora)
           Requires: libedataserver-1.2.so.11()(64bit)
           Available: evolution-data-server-2.30.1-2.fc13.x86_64 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

And note the discrepancy in evolution-data-server versions:

16:09 [~] kyo> yum list | grep evolution-data-server
evolution-data-server.x86_64             2.30.2-2.fc13                @updates  
16:09 [~] kyo> rpm -aq | grep evolution-data-server
evolution-data-server-2.30.2-2.fc13.x86_64

16:09 [~] kyo> rpm -ql evolution-data-server | grep libedataserver-1.2
/usr/lib64/libedataserver-1.2.so.13

It appears the latest Fedora13 tracker-search-tool (0.8.4-1.fc13.x86_64) lists a dependency on:

evolution-data-server-2.30.1-2.fc13.x86_64 for
libedataserver-1.2.so.11

while Fedora @updates has the newer
evolution-data-server-2.30.2-2.fc13.x86_64 with
libedataserver-1.2.so.13

This actually stopped my "yum update -y" from running, until I removed tracker-search-tool (which removed a bunch of other packages I then had to re-install).  There are a few packages that seem to have a hard dependency on tracker-search-tool that I now cannot re-install, so it would be great if tracker-search-tool were updated for the new evolution dependency (or even better, as an optional dependency) so that I can re-install packages that depend on it.

Thanks.
Comment 4 Andre Costa 2010-06-30 19:40:54 EDT
Yes, I had exactly the same problem here. Fortunately in my case I could remove tracker-search-tool only. I hope this gets fixed soon, after all what's the point of indexing thousands of files if I can't search for anything? ;-)

I'll file a bug on tracker-search-tool.
Comment 5 Andre Costa 2010-06-30 19:54:04 EDT
Just filed bug #609739 .
Comment 6 Matthew Barnes 2010-12-16 21:39:18 EST
No intention of splitting off libeutil from Evolution, so closing this.

I'm still open to moving some functions to libedataserver[ui] if someone can make a case for it.

Note You need to log in before you can comment on or make changes to this bug.